## docker.io 20.10.14+dfsg1

=== debian/changelog ===
docker.io (20.10.14+dfsg1-1) unstable; urgency=medium

  [ Felix Geyer ]
  * Order docker.service after containerd.service to fix shutdown of
    containers (Closes: #989490)

  [ Arnaud Rebillout ]
  * New upstream release [20.10.14]

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 30 Mar 2022 23:07:00 +0700

docker.io (20.10.11+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Fix default seccomp on mips (Closes: #1000318)

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 04 Dec 2021 17:06:15 +0800

docker.io (20.10.11+dfsg1-1) unstable; urgency=medium

  * New upstream release [20.10.11]

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 22 Nov 2021 16:56:50 +0700

docker.io (20.10.10+dfsg1-1) unstable; urgency=medium

  * New upstream release [20.10.10] 

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 26 Oct 2021 14:22:48 +0700

docker.io (20.10.8+dfsg1-2) unstable; urgency=medium

  * Team upload.

  [ Shengjing Zhu ]
  * Add patch to build against runc 1.0 (Closes: #996166)

 -- Anthony Fok <foka@debian.org>  Fri, 22 Oct 2021 01:50:50 -0600

docker.io (20.10.8+dfsg1-1) unstable; urgency=medium

  * Backport upstream patches to fix the build
  * Backport upstream patch to skip a cli test that segfaults
  * Drop unused Lintian override (field-too-long)
  * Update my email address
  * New upstream release [20.10.8]
  * Update debian/watch
  * Build-Depends += moby-locker-dev, drop obsolete vendoring
  * Drop patches applied upstream
  * Use leading tabs consistently in d/rules
  * Update date format for the cli build time
  * Build cli with dh-golang, don't use upstream Makefile anymore
  * Use variables for package names in d/rules
  * Bump standards version
  * tests: Bump debootstrap suite to bullseye

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 22 Sep 2021 13:31:10 +0700
