## docker.io 20.10.16

=== debian/changelog ===
docker.io (20.10.16-0ubuntu1) kinetic; urgency=medium

  * New upstream release.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 12 May 2022 17:04:31 -0300
