## docker.io 20.10.19+dfsg1

=== debian/changelog ===
docker.io (20.10.19+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release [20.10.19]
    - Fixes CVE-2022-36109 (Closes: #1019601)
  * Drop test--cli-skip-TestRemoveForce.patch, race condition has been fixed
    upstream.
  * Adapt watch file to GitHub changes.

 -- Felix Geyer <fgeyer@debian.org>  Sat, 15 Oct 2022 17:47:37 +0200

docker.io (20.10.17+dfsg1-1) unstable; urgency=medium

  * Team upload.
  
  [ Reinhard Tartler ]
  * unbreak FTBFS, avoid dependencies on consul
  * add missing dependency

  [ Arnaud Rebillout ]
  * New upstream release [20.10.17]

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 15 Aug 2022 08:54:41 +0200
