=== debian/control ===
--- 
+++ 
@@ -62,6 +62,7 @@
     ,golang-github-grpc-ecosystem-go-grpc-prometheus-dev
     ,golang-github-grpc-ecosystem-go-grpc-middleware-dev
     ,golang-github-grpc-ecosystem-grpc-opentracing-dev
+    ,golang-github-hashicorp-go-memdb-dev
     ,golang-github-hashicorp-memberlist-dev (>= 0.1.0~)
     ,golang-github-hashicorp-serf-dev
     ,golang-github-ishidawataru-sctp-dev
