## docker.io 20.10.21

=== debian/changelog ===
docker.io (20.10.21-0ubuntu1~22.04.8) jammy-security; urgency=medium

  * No change rebuild due to golang-1.22 update 

 -- Evan Caville <evan.caville@canonical.com>  Mon, 23 Jun 2025 09:59:12 +1000

docker.io (20.10.21-0ubuntu1~22.04.7) jammy-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Wed, 10 Jul 2024 10:02:11 +0530

docker.io (20.10.21-0ubuntu1~22.04.6) jammy-security; urgency=medium

  * No change rebuild due to golang-1.20, golang-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 18 Jan 2024 10:10:23 +0530

docker.io (20.10.21-0ubuntu1~22.04.5) jammy; urgency=medium

  * d/tests: remove since docker.io binary package is now provided by
    src:docker.io-app, and the tests were moved to it.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 17 Jul 2023 16:21:21 -0300

docker.io (20.10.21-0ubuntu1~22.04.4) jammy; urgency=medium

  * Do not provide the docker{.io,-doc} binary packages anymore (LP: #2022390).
    Those binary packages are now provided by src:docker.io-app.
    - d/control: remove docker{.io,-doc} binary package paragraphs.
    - d/docker{.io,-doc}*: remove all files related to the removed binaries.
    - d/rules: remove
      override_dh_{installinit,installsystemd,installudev,install}.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 14 Jul 2023 17:01:52 -0300

docker.io (20.10.21-0ubuntu1~22.04.3) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 27 Apr 2023 11:07:25 +0530

docker.io (20.10.21-0ubuntu1~22.04.2) jammy; urgency=medium

  * d/tests: install lxd via snap in docker-in-lxd test.
    Since Jammy, lxd is not available as a .deb anymore. Let's install it via
    snap.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 15 Feb 2023 12:26:57 -0300

docker.io (20.10.21-0ubuntu1~22.04.1) jammy; urgency=medium

  * Backport version 20.10.21-0ubuntu1 from Lunar (LP: #1996909).

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 17 Nov 2022 17:08:15 -0300

docker.io (20.10.21-0ubuntu1) lunar; urgency=medium

  * New upstream release.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 16 Nov 2022 15:42:50 -0300
