## docker.io 20.10.21+dfsg1

=== debian/changelog ===
docker.io (20.10.21+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release [20.10.21]
    - Fixes TestCheckoutGit failure (Closes: #1024506)
    - Build-depend on golang-github-armon-circbuf-dev
  * Remove ancient NEWS file.
  * Update lintian overrides.

 -- Felix Geyer <fgeyer@debian.org>  Fri, 25 Nov 2022 18:47:24 +0100
