## docker.io 20.10.22+dfsg1

=== debian/changelog ===
docker.io (20.10.22+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * No-change rebuild against golang-github-golang-protobuf-1-3 for
    testing migration.

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 14 Jan 2023 17:09:27 +0800

docker.io (20.10.22+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release [20.10.22]
    + Temperory vendor etcd 3.3 library.
  * Add patch for btrfs-progs 6.1 (Closes: #1027114)

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 02 Jan 2023 00:36:21 +0800
